<div class="container">
    <div class="row">
        <button routerLink="new" type="button" class="btn btn-outline-primary">Cadastrar novo Sócio</button>
    </div>
    <br>
    <div class="row">
        <table class="table table-striped table-bordered table-hover">
            <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Nome</th>
                <th scope="col">Data Nascimento</th>
                <th scope="col">CPF</th>
                <th scope="col">Empresa</th>
                <th scope="col">Ações</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let s of socios">
                <th scope="row">{{ s.id }}</th>
                <td>{{s.nome}}</td>
                <td>{{s.data_aniversaio | date: 'dd/MM/yyyy'}}</td>
                <td>{{s.cpf}}</td>
                <td>{{s.empresa.nome_fantasia}}</td>
                <td><a [routerLink]="[s.id, 'edit']">Edit</a> / <a
                        (click)="delete(s.id, s.nome)">Delete</a></td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
